Get a specific attribute - Fabric
Get a specific attribute
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/order/attribute/{code} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/attribute/{code}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/attribute/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
- 200: Success
{
"id": "<string>",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"required": true
}
- 400: Bad Request
{
"message": "Bad Request"
}
- 404: Not Found
{
"message": "Not found"
}
- 500: Internal Server Error
{
"message": "Internal Server Error"
}
Authorizations
- Authorization: header, required
- Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
- x-site-context: string, required
- The
x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
- Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Path Parameters
Response Model
- id: string
- code: string
- name: string
- description: string
- required: boolean